package com.hncy.sjdz.constant;

/**
 * @author zhaoting
 * @date 2022年05月23日 14:31
 */
public interface SecurityConstants {

    /**
     * 启动时是否检查Inner注解安全性
     */
    boolean INNER_CHECK = true;

    /**
     * 刷新
     */
    String REFRESH_TOKEN = "refresh_token";

    /**
     * grant_type为密码模式
     */
    String PASSWORD = "PASSWORD";

    /**
     * 角色前缀
     */
    String ROLE = "ROLE_";

    /**
     * 前缀
     */
    String XLCP_PREFIX = "hnsoftware_";

    /**
     * 系统标识
     */
    String SYSTEM_TAG = "hnsoftware";

    /**
     * 诚管24系统标识
     */
    String SYSTEM_TAG_CGTF = "zgf";


	/**
	 * 智管服系统标识
	 */
	String SYSTEM_TAG_ZGF = "zgf";

    /**
     * 体征指数系统标识
     */
    String SYSTEM_TAG_TZZS = "tzzs";

    /**
     * oauth 相关前缀
     */
    String OAUTH_PREFIX = "oauth:";

    /**
     * 授权码模式code key 前缀
     */
    String OAUTH_CODE_PREFIX = "oauth:code:";

    /**
     * 项目的license
     */
    String XLCP_LICENSE = "made by hnsoftware";

    /**
     * 内部标识(feign接口中 注明不需要oauth2认证的接口(不将当前token传递);对于需要对token进行校验的远程接口 不携带)
     */
    String FROM_IN = "Y";

    /**
     * 标志
     */
    String FROM = "from";

    /**
     * OAUTH URL
     */
    String OAUTH_TOKEN_URL = "/oauth/token";

    /**
     * 移动端授权
     */
    String GRANT_MOBILE = "mobile";

    /**
     * 企业版用户授权
     */
    String GRANT_ENTERPRISE = "enterprise";

    /**
     *
     */
    String GRANT_COUNSELOR = "counselor";

    /**
     * QQ获取token
     */
    String QQ_AUTHORIZATION_CODE_URL = "https://graph.qq.com/oauth2.0/token?grant_type="
            + "authorization_code&code=%S&client_id=%s&redirect_uri=" + "%s&client_secret=%s";

    /**
     * 微信获取OPENID
     */
    String WX_AUTHORIZATION_CODE_URL = "https://api.weixin.qq.com/sns/oauth2/access_token"
            + "?appid=%s&secret=%s&code=%s&grant_type=authorization_code";

    /**
     * 微信小程序OPENID
     */
    String MINI_APP_AUTHORIZATION_CODE_URL = "https://api.weixin.qq.com/sns/jscode2session"
            + "?appid=%s&secret=%s&js_code=%s&grant_type=authorization_code";

    /**
     * 码云获取token
     */
    String GITEE_AUTHORIZATION_CODE_URL = "https://gitee.com/oauth/token?grant_type="
            + "authorization_code&code=%S&client_id=%s&redirect_uri=" + "%s&client_secret=%s";

    /**
     * 开源中国获取token
     */
    String OSC_AUTHORIZATION_CODE_URL = "https://www.oschina.net/action/openapi/token";

    /**
     * QQ获取用户信息
     */
    String QQ_USER_INFO_URL = "https://graph.qq.com/oauth2.0/me?access_token=%s";

    /**
     * 码云获取用户信息
     */
    String GITEE_USER_INFO_URL = "https://gitee.com/api/v5/user?access_token=%s";

    /**
     * 开源中国用户信息
     */
    String OSC_USER_INFO_URL = "https://www.oschina.net/action/openapi/user?access_token=%s&dataType=json";

    /**
     * 钉钉获取 token
     */
    String DING_OLD_GET_TOKEN = "https://oapi.dingtalk.com/gettoken";

    /**
     * 钉钉同步角色列表
     */
    String DING_OLD_ROLE_URL = "https://oapi.dingtalk.com/topapi/role/list";

    /**
     * 钉钉同步部门列表
     */
    String DING_OLD_DEPT_URL = "https://oapi.dingtalk.com/topapi/v2/department/listsub";

    /**
     * 钉钉部门用户id列表
     */
    String DING_DEPT_USERIDS_URL = "https://oapi.dingtalk.com/topapi/user/listid";

    /**
     * 钉钉用户详情
     */
    String DING_USER_INFO_URL = "https://oapi.dingtalk.com/topapi/v2/user/get";

    /**
     * {bcrypt} 加密的特征码
     */
    String BCRYPT = "{bcrypt}";

    /**
     * sys_oauth_client_details 表的字段，不包括client_id、client_secret
     */
    String CLIENT_FIELDS = "client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, "
            + "authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, "
            + "refresh_token_validity, additional_information, autoapprove";

    /**
     * JdbcClientDetailsService 查询语句
     */
    String BASE_FIND_STATEMENT = "select " + CLIENT_FIELDS + " from sys_oauth_client_details";

    /**
     * 按条件client_id 查询
     */
    String DEFAULT_SELECT_STATEMENT = BASE_FIND_STATEMENT + " where client_id = ? and del_flag = 0 and tenant_id = %s";

    /**
     * 资源服务器默认bean名称
     */
    String RESOURCE_SERVER_CONFIGURER = "resourceServerConfigurerAdapter";

    /**
     * 客户端模式
     */
    String CLIENT_CREDENTIALS = "client_credentials";

    /**
     * 客户端编号
     */
    String CLIENT_ID = "client_id";

    /**
     * 客户端唯一令牌
     */
    String CLIENT_RECREATE = "recreate_flag";

    /**
     * 用户ID字段
     */
    String DETAILS_USER_ID = "user_id";

    /**
     * 组织ID字段
     */
    String DETAILS_ORG_ID = "org_id";

    /**
     * 组织name字段
     */
    String DETAILS_ORG_NAME = "org_name";

    /**
     * 角色
     */
    String DETAILS_ROLES = "roles";

    /**
     * 昵称
     */
    String DETAILS_NICKENAME = "nickName";

    String DETAILS_PHONE = "phone";

    String AUTHORITIES = "authorities";

    /**
     * 协议字段
     */
    String DETAILS_LICENSE = "license";

    /**
     * 激活字段 兼容外围系统接入
     */
    String ACTIVE = "active";

    /**
     * 启用
     */
    Integer ENABLE = 1;

    /**
     * 不启用
     */
    Integer UN_ENABLE = 0;

	String XINDU_MANAGE = "xindumange";
}
