package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou
 */

@Getter
@RequiredArgsConstructor
public enum EventStatusEnum {
	EVENT_CANCEL("已作废", "0"),
	EVENT_STATUS_PRETREATMENT("待预处理", "10"),
	EVENT_STATUS_WAIT_FOR_DIRECT("待直达", "15"),
    EVENT_STATUS_ACCEPTANCE("待受理", "20"), EVENT_STATUS_PENDING_FILING_CASE("待立案", "30"),
    EVENT_STATUS_DISPATCHING("待派遣", "40"), EVENT_STATUS_PENDING_DISPOSAL("待处置", "50"),
    EVENT_STATUS_IN_PROGRESS("处理中", "60"), EVENT_STATUS_PENDING_CHECK("待核查", "70"),
    EVENT_STATUS_PENDING_CLOSE("待结案", "80"), EVENT_STATUS_CLOSE("已办结", "90");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static EventStatusEnum getByValue(String keyword) {
        EventStatusEnum[] eventStatusEnums = values();
        for (EventStatusEnum item : eventStatusEnums) {
            if ((item.value).equalsIgnoreCase(keyword)) {
                return item;
            }
        }
        return null;
    }

}
