package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 超期状态 未超期、即将超期、已超期
 *
 * @author tyangzhou
 */
@Getter
@RequiredArgsConstructor
public enum OverdueStatusEnum {

    SERIOUSLY_OVERDUE("严重超期", "3"), SLIGHTLY_OVERDUE("轻微超期", "2"), NEAR_OVERDUE("临近超期", "1"), NOT_OVERDUE("时限正常", "0");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        OverdueStatusEnum[] enums = OverdueStatusEnum.values();
        for (OverdueStatusEnum overdueStatusEnum : enums) {
            if (overdueStatusEnum.getValue().equals(value)) {
                return overdueStatusEnum.getName();
            }
        }
        return "";
    }

}
