package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * PhysicalSignIndexTypeEnum 体征指数类型
 * <p>
 * Enum("name","value")
 * <p>
 * ----------------------------------
 * <p>
 * INSIDE("内评价", "0")
 * <p>
 * OUTSIDE("外评价", "1")
 *
 * @Author: lm
 * @Date: 2024/3/13
 */
@Getter
@RequiredArgsConstructor
public enum PhysicalSignIndexTypeEnum {

    /**
     * 内评价 v:"0"
     */
    INSIDE("内评价", "0"),
    /**
     * 外评价 v:"1"
     */
    OUTSIDE("外评价", "1");

    private final String name;

    @JsonValue
    private final String value;

    public static String getName(String value) {
        PhysicalSignIndexTypeEnum[] enums = PhysicalSignIndexTypeEnum.values();
        for (PhysicalSignIndexTypeEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(PhysicalSignIndexTypeEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}