package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * 体征指数 体征对象影响因子及修正系数类型
 * <p>
 * Enum("name","value")
 * <p>
 * ----------------------------------
 * <p>
 * INFLUENCE_FACTOR_EX("影响因子", "1")
 * <p>
 * ADJUSTMENT_COEFFICIENT("修正系数", "2")
 *
 * @Author: lm
 * @Date: 2024/3/27
 */
@Getter
@RequiredArgsConstructor
public enum PhysicalSignObjectFactorAndCoefficientTypeEnum {

    /**
     * 影响因子 v:"1"
     */
    INFLUENCE_FACTOR_EX("影响因子", "1"),
    /**
     * 修正系数 v:"2"
     */
    ADJUSTMENT_COEFFICIENT("修正系数", "2"),;

    private final String name;

    @JsonValue
    private final String value;

    public static String getName(String value) {
        PhysicalSignObjectFactorAndCoefficientTypeEnum[] enums = PhysicalSignObjectFactorAndCoefficientTypeEnum
            .values();
        for (PhysicalSignObjectFactorAndCoefficientTypeEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(PhysicalSignObjectFactorAndCoefficientTypeEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}