package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * QuestionWeightResearchChannelTypeEnum 问题权重调研渠道类型
 * <p>
 * Enum("name","value")
 * <p>
 * ----------------------------------
 * <p>
 * MASSES("群众", "0")
 * <p>
 * EXPERT("专家", "1")
 * <p>
 * LEADER("领导", "2")
 *
 * @Author: lm
 * @Date: 2024/03/20
 */
@Getter
@RequiredArgsConstructor
public enum QuestionWeightResearchChannelTypeEnum {

    /**
     * 群众 v:"0"
     */
    MASSES("群众", "0"),
    /**
     * 专家 v:"1"
     */
    EXPERT("专家", "1"),
    /**
     * 领导 v:"2"
     */
    LEADER("领导", "2");

    private final String name;

    @JsonValue
    private final String value;

    public static String getName(String value) {
        QuestionWeightResearchChannelTypeEnum[] enums = QuestionWeightResearchChannelTypeEnum.values();
        for (QuestionWeightResearchChannelTypeEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(QuestionWeightResearchChannelTypeEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}