package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工作时
 */
@Getter
@AllArgsConstructor
public enum WorkUnitEnum {

    UNIT_WORK_HOUR("工作时", "0"), UNIT_EMERGENCY_WORK_HOUR("紧急工作时", "1"), UNIT_WORK_DAY("工作日", "2"),
    UNIT_WORK_MINUTE("分钟", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        WorkUnitEnum[] enums = WorkUnitEnum.values();

        for (WorkUnitEnum workUnitEnum : enums) {
            if (workUnitEnum.getValue().equals(value)) {
                return workUnitEnum.getName();
            }
        }
        return "";
    }

    public static String getValue(String name) {
        WorkUnitEnum[] enums = WorkUnitEnum.values();

        for (WorkUnitEnum yearInspectEnum : enums) {
            if (yearInspectEnum.getName().equals(name)) {
                return yearInspectEnum.getValue();
            }
        }
        return "";
    }

}
