package com.hncy.sjdz.base.controller;

import com.hncy.sjdz.base.models.vo.EventInformationVO;
import com.hncy.sjdz.base.service.CallInformationService;
import com.hncy.sjdz.base.service.SjdzInterfaceInfoService;
import com.hncy4cloud.hncy.common.core.util.R;
import com.hncy4cloud.hncy.common.mybatis.custom.CustomPage;
import com.hncy4cloud.hncy.common.security.annotation.Inner;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 *群众信息
 *
 * @author zhaoting
 * @date 2024-11-12 12:18:51
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/theMassesInformation" )
@Tag(description = "theMassesInformation" , name = "群众信息" )
public class TheMassesInformationController {

    private final  CallInformationService callInformationService;


	private final SjdzInterfaceInfoService sjdzInterfaceInfoService;


	/**
	 * 通过id查询网络理政来电信息-基本信息
	 * @param id id
	 * @return R
	 */
	@Operation(summary = "通过id查询群众来电信息" , description = "通过id查询群众来电信息" )
	@GetMapping("/callInformation/{id}" )
	@Inner(false)
	public R getById(@PathVariable("id" ) String id) {
		/*return R.ok(callInformationService.getById(id));*/
		return sjdzInterfaceInfoService.getCallInformationInfoById(id);
	}


	/**
	 *
	 *
	 * @return
	 */
	@GetMapping("/getSjdzQzTjNewest")
	@Operation(summary = "统计群众最新数量" , description = "统计群众最新数量" )
	@Inner(false)
	public R getSjdzQzTjNewest(@Parameter(description = "区域") @RequestParam(required = false)    String area) {
		return callInformationService.getSjdzQzTjNewest(area);
	}


	/**
	 * 分页查询
	 * @param page 分页对象
	 * @param
	 * @return
	 */
	@Operation(summary = "群众呼声分页查询" , description = "群众呼声分页查询" )
	@GetMapping("/getEventInfoPage" )
	@Inner(false)
	public R<CustomPage<EventInformationVO>> getEventInfoPage(@RequestParam(value = "page", defaultValue = "1") Integer page,
																 @RequestParam(value = "count", defaultValue = "10") Integer count,
															  @Parameter(description = "区域") @RequestParam(required = false)    String area,
																 @Parameter(description = "标题查询") @RequestParam(required = false) String keyWord) {
		return callInformationService.getEventInfoPage(page,count,area,keyWord);
	}



}