package com.hncy.sjdz.base.mapper;

import com.hncy.sjdz.base.models.entity.Component;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.vo.ComponentTypeStatisticsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author tyz
* @description 针对表【component(部件表)】的数据库操作Mapper
* @createDate 2024-11-13 10:05:58
* @Entity com.hncy.sjdz.base.models.entity.Component
*/
@Mapper
public interface ComponentMapper extends BaseMapper<Component> {

	ComponentTypeStatisticsVO selectComponentTypeStatistics(@Param("gridCodes") List<String> gridCodes);

	/**
	 * 获取部件大类统计
	 * @param gridCodes
	 * @return
	 */
	List<BaseLabelEntity> getBigCodeStatistics(@Param("gridCodes") List<String> gridCodes);

	/**
	 * 获取部件小类统计
	 * @param value
	 * @param gridCodes
	 * @return
	 */
	List<BaseLabelEntity> getSmallStatistics(@Param("value") String value, @Param("gridCodes") List<String> gridCodes);

	/**
	 * 获取市部件总数
	 * @param gridCodes
	 * @return
	 */
	Integer getCityComponentCount(@Param("gridCodes") List<String> gridCodes);
}




