package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 智慧城管数据底座接口
 *
 * @author zhaoting
 * @date 2024-12-03 10:53:33
 */
@Data
@TableName("sjdz_interface_info")
@Schema(description = "智慧城管数据底座接口")
public class SjdzInterfaceInfo implements Serializable {

    private static final long serialVersionUID = 1L;


	/**
	* 智慧城管数据底座id
	*/
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description="智慧城管数据底座id")
    private String id;

	/**
	* 接口名称
	*/
    @Schema(description="接口名称")
    private String name;

	/**
	* 接口code
	*/
    @Schema(description="接口code")
    private String typeCode;

	/**
	* 方法
	*/
    @Schema(description="方法")
    private String method;

	/**
	* 申请人账号
	*/
    @Schema(description="申请人账号")
    private String authUserName;

	/**
	* 申请人密码
	*/
    @Schema(description="申请人密码")
    private String authUserKey;

	/**
	* 是否需要解密 0不需要，1需要
	*/
    @Schema(description="是否需要解密 0不需要，1需要")
    private String isDecryption;

	/**
	* 接口地址
	*/
    @Schema(description="接口地址")
    private String interfaceAddress;

	/**
	 * 用户秘钥
	 */
	@Schema(description="是否需要缓存，0是不需要,1是需要")
	private String isCache;

	/**
	 * 解密私钥
	 */
	@Schema(description="解密私钥")
	private String privateKey;

}