package com.hncy.sjdz.base.models.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hncy.sjdz.base.models.entity.CallInformation;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

/**
 * @author zhaoting
 * date  2024/12/9 20:26
 **/
@Data
public class CallInformationVO {
	/**
	 * id
	 */
	@TableId(type = IdType.ASSIGN_ID)
	@Schema(description="id")
	private String id;

	/**
	 * 来电（信）类型
	 */
	@Schema(description="来电（信）类型")
	private String callType;

	/**
	 * 标题
	 */
	@Schema(description="标题")
	private String title;

	/**
	 * 来信人名称
	 */
	@Schema(description="来信人名称")
	private String senderName;

	/**
	 * 来源
	 */
	@Schema(description="来源")
	private String source;

	/**
	 * 来电内容
	 */
	@Schema(description="来电内容")
	private String callContent;

	/**
	 * 办理单位
	 */
	@Schema(description="办理单位")
	private String handlingUnit;

	/**
	 * 办理状态
	 */
	@Schema(description="办理状态")
	private String handlingStatus;

	/**
	 * 所属区域
	 */
	@Schema(description="所属区域")
	private String area;

	/**
	 * 上报时间
	 */
	@Schema(description="上报时间")
	private String reportTime;

	/**
	 * 办理时间
	 */
	@Schema(description="办理时间")
	private String processingTime;

	/**
	 * 办理结果

	 */
	@Schema(description="办理结果")
	private String processingContent;

	@Schema(description="原始数据")
	Map otherInfo=new HashMap();
}
