package com.hncy.sjdz.base.service;

import com.hncy.sjdz.base.models.entity.SjdzMajorProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.sjdz.base.models.vo.SjdzMajorProjectVO;
import com.hncy4cloud.hncy.common.core.util.R;

/**
* @author tyz
* @description 针对表【sjdz_major_project(数据底座-重大项目信息)】的数据库操作Service
* @createDate 2024-11-12 15:36:57
*/
public interface SjdzMajorProjectService extends IService<SjdzMajorProject> {

	/**
	 * 重大项目列表
	 * @param searchText
	 * @return
	 */
    R pageList(String searchText);

	/**
	 * 今年重大项目统计
	 * @return
	 */
	R getThisYearMajorProject();

	/**
	 * 根据项目id查询项目详情
	 * @param projectId
	 * @return
	 */
	SjdzMajorProjectVO getProjectInfo(String projectId);

}
