package com.hncy.sjdz.waste.util;

import cn.hutool.core.date.LocalDateTimeUtil;

import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author liyl
 * @since 2024/1/22 11:39
 */
public class TimeUtil {

    /**
     * 获取超期时间描述
     * @param disposeDeadline 截止时间
     * @return 超期时间描述
     */
    public static String getOverdueText(LocalDateTime disposeDeadline) {
        // 计算日期差值（毫秒）
        long differenceInMilliseconds = LocalDateTimeUtil.toEpochMilli(disposeDeadline)
                - LocalDateTimeUtil.toEpochMilli(LocalDateTimeUtil.now());

        StringBuilder time = new StringBuilder();

        if (differenceInMilliseconds < 0L) {

            // 取绝对值
            differenceInMilliseconds = Math.abs(differenceInMilliseconds);

            // 将毫秒差值转换为其他时间单位
            long differenceInDays = differenceInMilliseconds / (24 * 60 * 60 * 1000);
            long differenceInHours = (differenceInMilliseconds % (24 * 60 * 60 * 1000)) / (60 * 60 * 1000);
            long differenceInMinutes = (differenceInMilliseconds % (24 * 60 * 60 * 1000) % (60 * 60 * 1000))
                    / (60 * 1000);
            long differenceInSeconds = (differenceInMilliseconds % (24 * 60 * 60 * 1000) % (60 * 60 * 1000)
                    % (60 * 1000)) / 1000;

            if (differenceInDays > 0L) {// 超过一天，显示：DD天hh小时
                time.append(differenceInDays).append("天");

                if (differenceInHours > 0L) {
                    time.append(differenceInHours).append("小时");
                }
            }
            else if (differenceInHours > 0L) {// 超过一小时不足一天，显示：hh小时mm分钟
                time.append(differenceInHours).append("小时");

                if (differenceInMinutes > 0L) {
                    time.append(differenceInMinutes).append("分钟");
                }
            }
            else if (differenceInMinutes > 0L) {// 超过一分钟不足一小时,显示：mm分钟
                time.append(differenceInMinutes).append("分钟");
            }
            else if (differenceInSeconds > 0L) {// 不足一分钟：显示:1分钟
                time.append("1分钟");
            }
        }

        return time.toString();
    }

}
